# PSF-LoginServer - master - net.psforever.objects.LivePlayerList
PSF - LoginServer - master - net.psforever.objects.LivePlayerList
Keywords: PSF LoginServer master net.psforever.objects.LivePlayerList

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    objects
-  package ballistics
  Definition Classes
    objects
-  package ce
  Definition Classes
    objects
-  package definition
  Definition Classes
    objects
-  package entity
  Definition Classes
    objects
-  package equipment
  Definition Classes
    objects
-  package geometry
  Definition Classes
    objects
-  package guid
  Definition Classes
    objects
-  package inventory
  Definition Classes
    objects
-  package loadouts
  Definition Classes
    objects
-  package locker
  Definition Classes
    objects
-  package serverobject
  Definition Classes
    objects
-  package teamwork
  Definition Classes
    objects
-  package vehicles
  Definition Classes
    objects
-  package vital
  Definition Classes
    objects
-  package zones
  Definition Classes
    objects
- Account
- AmmoBox
- BoomerDeployable
- BoomerDeployableControl
- BoomerDeployableDefinition
- BoomerTrigger
- CommonNtuContainer
- ConstructionItem
- Default
- Deployables
- ExplosiveDeployable
- ExplosiveDeployableControl
- ExplosiveDeployableDefinition
- GlobalDefinitions
- Kit
- LivePlayerList
- LocalLockerItem
- LocalProjectile
- MineDeployableControl
- Ntu
- NtuContainer
- NtuContainerDefinition
- NtuStorageBehavior
- ObjectType
- OffhandEquipmentSlot
- OwnableByPlayer
- PlanetSideGameObject
- Player
- Players
- SensorDeployable
- SensorDeployableControl
- SensorDeployableDefinition
- Session
- ShieldGeneratorControl
- ShieldGeneratorDefinition
- ShieldGeneratorDeployable
- SimpleItem
- SpawnPoint
- SpawnPointDefinition
- SpecialEmp
- Telepad
- TelepadControl
- TelepadDeployable
- TelepadDeployableControl
- TelepadDeployableDefinition
- Tool
- Tools
- TrapDeployable
- TrapDeployableControl
- TrapDeployableDefinition
- TurretControl
- TurretDeployable
- TurretDeployableDefinition
- Vehicle
- Vehicles

o

net.psforever.objects

# LivePlayerList

###

#### object LivePlayerList

A class for storing `Player` mappings for users that are currently online. The mapping system is tightly coupled between the `Avatar` class and to an instance of `WorldSessionActor`.
Use:
1) When a users logs in during `WorldSessionActor`, associate that user's session id and their character (avatar).
`LivePlayerList.Add(session, avatar)`
2) In between the previous two steps, a range of characters may be queried based on provided statistics.
`LivePlayerList.WorldPopulation(...)`
3) When the user leaves the game entirely, his character's entry is removed from the mapping.
`LivePlayerList.Remove(session)`

Source
  LivePlayerList.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LivePlayerList
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Add(sessionId: Long, avatar: Avatar): Boolean

   Create a mapped entry between the user's session and a user's character.

   Create a mapped entry between the user's session and a user's character. Neither the player nor the session may exist in the current mappings if this is to work.

   sessionId

     the session

   avatar

     the character

   returns

     `true`, if the session was association was made; `false`, otherwise

5.  def Remove(sessionId: Long): Option[Avatar]

   Remove all entries related to the given session identifier from the mappings.

   Remove all entries related to the given session identifier from the mappings. The character no longer counts as "online."

   sessionId

     the session

   returns

     any character that was afffected by the mapping removal

6.  def Shutdown: List[Avatar]

   Hastily remove all mappings and ids.

   Hastily remove all mappings and ids.

   returns

     an unsorted list of the characters that were still online

7.  def Update(sessionId: Long, avatar: Avatar): Unit
8.  def WorldPopulation(predicate: (Tuple2[_, Avatar]) => Boolean): List[Avatar]

   Given some criteria, examine the mapping of user characters and find the ones that fulfill the requirements.
   Note the signature carefully.

   Given some criteria, examine the mapping of user characters and find the ones that fulfill the requirements.
   Note the signature carefully. A two-element tuple is checked, but only the second element of that tuple - a `Player` - is eligible for being queried. The first element is ignored. Even a predicate as simple as `{ case ((x : Long, _)) => x > 0 }` will not work for that reason.

   predicate

     the conditions for filtering the live `Player`s

   returns

     a list of users's `Player`s that fit the criteria

9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped